# Update Identity

> Update an existing visitor identity

## Path Parameters

<ParamField path="id" type="string" required>
  Identity ID (UUID)
</ParamField>

## Request Body

<ParamField body="name" type="string">
  Full name
</ParamField>

<ParamField body="traits" type="object">
  Custom traits
</ParamField>

<ParamField body="is_favorite" type="boolean">
  Mark as favorite
</ParamField>

<RequestExample>

```bash cURL
curl -X PATCH "https://api.orwel.io/api/v1/identities/ee0e8400-e29b-41d4-a716-446655440009" \
  -H "Authorization: Bearer orwel_sk_YOUR_KEY" \
  -H "Content-Type: application/json" \
  -d '{"is_favorite": true}'
```

</RequestExample>

<ResponseExample>

```json 200 OK
{
  "data": {
    "id": "ee0e8400-e29b-41d4-a716-446655440009",
    "is_favorite": true
  }
}
```

</ResponseExample>
